package file

import "path/filepath"

var (
	DefaultBaseDir            = "data"
	DefaultQuizzesSubdir      = "quizzes"
	DefaultCollectionsSubdir  = "collections"
	DefaultParticipantsSubdir = "participants"
	DefaultGroupsSubdir       = "groups"
	DefaultExamsSubdir        = "exams"
	DefaultResponsesSubdir    = "responses"
	DefaultSessionSubdir      = "sessions"

	Dirs = []string{
		GetDefaultQuizzesDir(),
		GetDefaultParticipantsDir(),
		GetDefaultExamsDir(),
		GetDefaultSessionDir(),
	}
)

func GetDefaultQuizzesDir() string {
	return filepath.Join(DefaultBaseDir, DefaultQuizzesSubdir)
}

func GetDefaultCollectionsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultCollectionsSubdir)
}

func GetDefaultParticipantsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultParticipantsSubdir)
}

func GetDefaultGroupsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultGroupsSubdir)
}

func GetDefaultExamsDir() string {
	return filepath.Join(DefaultBaseDir, DefaultExamsSubdir)
}

func GetDefaultSessionDir() string {
	return filepath.Join(DefaultBaseDir, DefaultSessionSubdir)
}

func GetDefaultResponsesDir() string {
	return filepath.Join(DefaultBaseDir, DefaultResponsesSubdir)
}
