/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"git.andreafazzi.eu/andrea/probo/pkg/store/file"
	"github.com/spf13/cobra"
)

// participantsCmd represents the participants command
var participantsCmd = &cobra.Command{
	Use:   "participants",
	Short: "A brief description of your command",
	Long: `A longer description that spans multiple lines and likely contains examples
and usage of using your command. For example:

Cobra is a CLI library for Go that empowers applications.
This application is a tool to generate the needed files
to quickly create a Cobra application.`,
	Run: func(cmd *cobra.Command, args []string) {
		importCSV(cmd, args)
	},
}

func init() {
	importCmd.AddCommand(participantsCmd)

	// Here you will define your flags and configuration settings.

	// Cobra supports Persistent Flags which will work for this command
	// and all subcommands, e.g.:
	// participantsCmd.PersistentFlags().String("foo", "", "A help for foo")

	// Cobra supports local flags which will only run when this command
	// is called directly, e.g.:
	// participantsCmd.Flags().BoolP("toggle", "t", false, "Help message for toggle")
}

func importCSV(cmd *cobra.Command, args []string) {
	pStore, err := file.NewDefaultParticipantFileStore()
	if err != nil {
		panic(err)
	}

	_, err = pStore.ImportCSV(args[0])
	if err != nil {
		panic(err)
	}
}
